eSIM Order List

Get esim order list.

URL

Request Method

  • POST

Rate Limit

  • 10 requests per second

Request Header

Header NameOptionalValue
content-typeyesapplication/json
appIdyesYour app ID
timestampyesCurrent timestamp
signyesHMAC-SHA256 signature

Request Examples

curl --location 'http://sandbox-api.yoni-esim.com/v1/order/e-sim/page' \
--header 'appId: {{appId}}' \
--header 'timestamp: {{timestamp}}' \
--header 'sign: {{sign}}' \
--header 'Content-Type: application/json' \
--data '{
   "current":1,
   "size":2,
   "orderNo":"202603241620xxxxxxx",
   "iccid":"891001000xxxxxxx"
}'
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\r\n   \"current\":1,\r\n   \"size\":2,\r\n   \"orderNo\":\"202603241620xxxxxxx\",\r\n   \"iccid\":\"891001000xxxxxxx\"\r\n}");
Request request = new Request.Builder()
  .url("http://sandbox-api.yoni-esim.com/v1/order/e-sim/page")
  .method("POST", body)
  .addHeader("appId", "{{appId}}")
  .addHeader("timestamp", "{{timestamp}}")
  .addHeader("sign", "{{sign}}")
  .addHeader("Content-Type", "application/json")
  .build();
Response response = client.newCall(request).execute();
var request = require('request');
var options = {
  'method': 'POST',
  'url': 'http://sandbox-api.yoni-esim.com/v1/order/e-sim/page',
  'headers': {
    'appId': '{{appId}}',
    'timestamp': '{{timestamp}}',
    'sign': '{{sign}}',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "current": 1,
    "size": 2,
    "orderNo": "202603241620xxxxxxx",
    "iccid": "891001000xxxxxxx"
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests
import json

url = "http://sandbox-api.yoni-esim.com/v1/order/e-sim/page"

payload = json.dumps({
  "current": 1,
  "size": 2,
  "orderNo": "202603241620xxxxxxx",
  "iccid": "891001000xxxxxxx"
})
headers = {
  'appId': '{{appId}}',
  'timestamp': '{{timestamp}}',
  'sign': '{{sign}}',
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)

Request Parameter

NameOptionalTypeDescription
currentnoNumberCurrent page (greater than or equal to 1)
sizenoNumberPage size (between 1 and 50)
orderNoyesStringUnique order number
iccidyesStringICCID of the eSIM

Response Example

{
    "code": 0,
    "data": {
        "records": [
            {
                "iccid": "891001000xxxxxxx",
                "lpa": "LPA:1$rsp.demo$69C21E96xxxxxxx",
                "orderNo": "202603241620xxxxxxx",
                "status": "1",
                "startTime": "2026-03-24",
                "endTime": "2026-05-23",
                "orderTime": 1774329494479,
                "flow": 1024,
                "currency": "4",
                "packageName": "Malaysia, 1 Day, 1GB, 256kbps",
                "packageCode": "YN2602130xxxxx",
                "simType": "1",
                "packageType": "2",
                "apn": "mobiledata",
                "operator": "Maxis Berhad",
                "price": 1.00,
                "days": "1"
            }
        ],
        "total": 1
    },
    "msg": "success"
}

Response Result

NameTypeDescription
codeStringeSIM response code (error codes)
msgStringResult description
dataObjectObject of orders
data.totalNumberTotal number of orders
data.recordsArrayArray of orders
records[0].iccidStringICCID of the eSIM
records[0].lpaStringLocal Profile Assistant (LPA)
records[0].orderNoStringUnique order number
records[0].statusStringOrder status (0 = FAILED, 1 = READY, 2 = CANCEL, 3 = COMPLETED, 4 = REFUND, 5 = PART_REFUND, 6 = EMAIL_FAILED)
records[0].startTimeStringStart time of the unactivated eSIM validity period
records[0].endTimeStringEnd time of the unactivated eSIM validity period
records[0].orderTimeNumberOrder creation time
records[0].flowNumberPackage data allowance; 0 indicates unlimited data. Unit: MB
records[0].currencyStringCurrency (1 = RMB, 2 = USD, 3 = EUR, 4 = SGD, 5 = TWD ...)
records[0].packageNameStringPackage name
records[0].packageCodeStringUnique identifier of the package.
records[0].simTypeStringSIM type (currently, only 1 is supported, indicating eSIM).
records[0].packageTypeStringPackage type (1 = daily, 2 = multiple months).
records[0].apnStringAccess Point Name (APN).
records[0].operatorStringCarrier / mobile network operator
records[0].priceStringPrice (in the contract currency).
records[0].daysStringPackage duration (days)